﻿@model FirstMVCAppMy.UI.Models.Products.ProductFilterAndSortModel
@{
    ViewData["Title"] = "Products";
}

<h1>Products</h1>

<a asp-controller="Product" asp-action="CreateProduct">Create New Product</a>

<div class="row">
    <div class="col-md-4">
        <form asp-action="Index" method="get">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Page" value="@Model.Page" />
            <input type="hidden" value="@Model.SortState" />
            <input type="hidden" name="page" value="@Model.ProductPageModel.PageNumber" />
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" value="@Model.Name" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PriceFrom" class="control-label"></label>
                <input asp-for="PriceFrom" class="form-control" value="@Model.PriceFrom" />
                <span asp-validation-for="PriceFrom" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PriceTo" class="control-label"></label>
                <input asp-for="PriceTo" class="form-control" value="@Model.PriceTo" />
                <span asp-validation-for="PriceTo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CategoryId" class="control-label"></label>
                <select asp-for="CategoryId" class="form-control" asp-items="Model.CategoriesSelect">
                    <option></option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="BrandId" class="control-label"></label>
                <select asp-for="BrandId" class="form-control" asp-items="Model.BrandsSelect">
                    <option></option>
                </select>
            </div>
            <div class="form-group">
                <input type="submit" value="Search" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<table class="table">
    <thead>
    <tr>
        <th>
            <a asp-controller="Product" asp-action="Index" asp-route-productSortState=@Model.NameSort
               asp-route-сurrentPage=@Model.ProductPageModel.PageNumber
               asp-route-page=@Model.Page
               asp-route-name=@Model.Name
               asp-route-priceFrom=@Model.PriceFrom
               asp-route-priceTo=@Model.PriceTo
               asp-route-categoryId=@Model.CategoryId
               asp-route-brandId=@Model.BrandId>
                @Html.DisplayNameFor(model => model.Products[0].Name)
            </a>
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Products[0].Description)
        </th>
        <th>
            <a asp-controller="Product" asp-action="Index" asp-route-productSortState=@Model.CategorySort
               asp-route-сurrentPage=@Model.ProductPageModel.PageNumber
               asp-route-page=@Model.Page
               asp-route-name=@Model.Name
               asp-route-priceFrom=@Model.PriceFrom
               asp-route-priceTo=@Model.PriceTo
               asp-route-categoryId=@Model.CategoryId
               asp-route-brandId=@Model.BrandId>
                @Html.DisplayNameFor(model => model.Products[0].CategoryName)
            </a>
        </th>
        <th>
            <a asp-controller="Product" asp-action="Index" asp-route-productSortState=@Model.BrandSort
               asp-route-сurrentPage=@Model.ProductPageModel.PageNumber
               asp-route-page=@Model.Page
               asp-route-name=@Model.Name
               asp-route-priceFrom=@Model.PriceFrom
               asp-route-priceTo=@Model.PriceTo
               asp-route-categoryId=@Model.CategoryId
               asp-route-brandId=@Model.BrandId>
                @Html.DisplayNameFor(model => model.Products[0].BrandName)
            </a>
        </th>
        <th>
            <a asp-controller="Product" asp-action="Index" asp-route-productSortState=@Model.PriceSort
               asp-route-сurrentPage=@Model.ProductPageModel.PageNumber
               asp-route-page=@Model.Page
               asp-route-name=@Model.Name
               asp-route-priceFrom=@Model.PriceFrom
               asp-route-priceTo=@Model.PriceTo
               asp-route-categoryId=@Model.CategoryId
               asp-route-brandId=@Model.BrandId>
                @Html.DisplayNameFor(model => model.Products[0].Price)
            </a>
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model.Products)
    {
        <tr>
            <td>
                <a asp-controller="Product" asp-action="Edit" asp-route-id="@item.Id">@item.Name</a>
            </td>
            <td>
                @item.Description
            </td>
            <td>
                @item.CategoryName
            </td>
            <td>
                @item.BrandName
            </td>
            <td>
                @item.Price
            </td>
            <td>
                <form asp-action="Add" asp-controller="Bucket" method="post">
                    <input type="hidden" name="productId" value="@item.Id"/>
                    <input type="submit" value="Добавить в корзину"/>
                </form>
            </td>
            <th></th>
        </tr>
    }
    </tbody>
</table>


@if (Model.ProductPageModel.HasPreviousPage)
{
    <a asp-action="Index"
       asp-route-name="@Model.Name"
       asp-route-priceFrom="@Model.PriceFrom"
       asp-route-priceTo="@Model.PriceTo"
       asp-route-productSortState="@Model.SortState"
       asp-route-categoryId="@Model.CategoryId"
       asp-route-brandId="@Model.BrandId"
       asp-route-page="@(Model.ProductPageModel.PageNumber - 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-left"></i>
        Prev
    </a>
}

<span style="margin: 20px">@Model.ProductPageModel.PageNumber</span>

@if (Model.ProductPageModel.HasNextPage)
{
    <a asp-action="Index"
       asp-route-name="@Model.Name"
       asp-route-priceFrom="@Model.PriceFrom"
       asp-route-priceTo="@Model.PriceTo"
       asp-route-productSortState="@Model.SortState"
       asp-route-categoryId="@Model.CategoryId"
       asp-route-brandId="@Model.BrandId"
       asp-route-page="@(Model.ProductPageModel.PageNumber + 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-right"></i>
        Next
    </a>
}